code
stringlengths
2
1.05M
repo_name
stringlengths
5
110
path
stringlengths
3
922
language
stringclasses
1 value
license
stringclasses
15 values
size
int64
2
1.05M
#!/bin/bash for line in `cat $1`;do ssh $line "echo $line; ps ax |pgrep java" done
DSC-SPIDAL/dapwc
bin/dapwcscript/addjava.sh
Shell
apache-2.0
86
#!/bin/sh # Change root password (CentOS 6.2) # After a new VM is created and reconfigured this script is transfered # to the new VM and will be executed with the credentials that are defined # in SCRIPT_USERID and SCRIPT_PWD. # The root password is taken from the service parameter LINUX_ROOT_PWD # All service parame...
opetrovski/development
oscm-app-vmware-ear/resources/changeRootPassword.sh
Shell
apache-2.0
491
scp ../../problems/NoObsDrivingModel/OutFiles/policyfile.txt ./ mv policyfile.txt policyfile_noobs.txt scp ../../problems/ObsDrivingModel/OutFiles/policyfile.txt ./ mv policyfile.txt policyfile_obs.txt scp -rp ./ ppnathan@schubert.eecs.berkeley.edu:~/MyFiles/MURI/HMSHS/Simulator/MultiModeDriverModelSimulator/
ppnathan/HMSHS
simulators/MultiModeDriverModelSimulator/uploadfile.sh
Shell
apache-2.0
311
#!/usr/bin/env bash # http://rvm.io/rvm/install gpg --keyserver hkp://keys.gnupg.net --recv-keys D39DC0E3 \curl -sSL https://get.rvm.io | bash -s stable --ruby --rails
mcarifio/apt-get-install
rvm.sh
Shell
apache-2.0
171
#!/bin/sh java -Dfile.encoding=UTF-8 -Xmx2G -jar /opt/spotlight/dbpedia-spotlight-1.0.0.jar /opt/spotlight/nl http://0.0.0.0:80/rest
sandroacoelho/spotlight-docker
v1.0/dutch/spotlight.sh
Shell
apache-2.0
135
#!/bin/bash read -p "Enter a username in google auth domain: " username echo -n "Enter a password: " read -s password echo read -p "Enter permission groups (comma delimited): " groups if [ -z "$groups" ]; then groups="none" fi hash=`echo -n "$password" | openssl dgst -binary -sha1 | openssl base64` echo "Enter db pa...
Shopify/collins
scripts/user-add.sh
Shell
apache-2.0
500
#/bin/bash -eu # Copyright 2020 Google Inc. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed...
FeliciaLim/oss-fuzz
projects/tidb/build.sh
Shell
apache-2.0
1,087
#!/bin/bash set -e BUILD_TYPE=${BUILD_TYPE:-Release} DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" mkdir -p $DIR/../bin-emscripten mkdir -p $DIR/../bin-emscripten/bin/ cd $DIR/../bin-emscripten cmake -DCMAKE_C_ABI_COMPILED=ON -DCMAKE_CXX_ABI_COMPILED=ON -DCMAKE_CROSSCOMPILING=ON -DCMAKE_TOOLCHAIN_FILE=$DIR/...
tolstenko/mobagen
scripts/cmake-emscripten.sh
Shell
apache-2.0
1,282
#!/bin/bash # MASTER_NODE=$1 echo " " echo " " echo "****************************" echo "* Apache Spark Worker Node *" echo "****************************" echo " " echo " " echo "Environment Variables: " echo " " env IP=$(ip -o -4 addr list eth0 | perl -n -e 'if (m{inet\s([\d\.]+)\/\d+\s}xms) { print $1 }') echo " ...
prodriguezdefino/docker-spark-worker
files/run_worker_node.sh
Shell
apache-2.0
1,902
#!/usr/bin/env bash cd .. function runInit() { token=$1 baseUrl=$2 echo "======" echo "====== STEP 1/1: start to create a device with some data (avatar-service=$baseUrl)" echo "======" export AVATAR_USER_TOKEN=$token ./sbt "cmdtools/runMain com.ubirch.avatar.cmd.ImportTrackle" echo ...
ubirch/ubirch-avatar-service
dev-scripts/importTrackle.sh
Shell
apache-2.0
626
#!/bin/bash VERSION="latest" set -e echo "> 1. Building Docker image" echo "" docker build -t donbeave/awscli:$VERSION . #echo "" #echo "> 2. Publishing Docker image to Docker Hub" #echo "" #docker login -e $DOCKER_EMAIL -u $DOCKER_USER -p $DOCKER_PASS #docker push donbeave/awscli:$VERSION
donbeave/docker-awscli
build.sh
Shell
apache-2.0
295
for i in {0..7} do screen -dm bash -c "CUDA_VISIBLE_DEVICES=$i python3 main.py --exp_name summary_m2s_selfcon_randaug_advtr_svhnaug_$i --data.src MNIST --data.tar SVHN --data.aug_init svhnspec --data.aug randaug --training_type selfcon --train.init_advtr" done
googleinterns/intern2020_cocal
uncertainty/run_m2s_selfcon_randaug_advtr_svhnaug.sh
Shell
apache-2.0
265
#!/usr/bin/env bash ################################################################################ # Licensed to the Apache Software Foundation (ASF) under one # or more contributor license agreements. See the NOTICE file # distributed with this work for additional information # regarding copyright ownership. The A...
zhangminglei/flink
flink-end-to-end-tests/test-scripts/test_streaming_bucketing.sh
Shell
apache-2.0
3,779
#!/bin/bash export JAVA_HOME=$(/usr/libexec/java_home -v 1.8)
kennyzli/io.tusk
set_jdk.sh
Shell
apache-2.0
63
#!/bin/bash # Copyright (c) 2017, WSO2 Inc. (http://wso2.com) All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless r...
wso2-incubator/identity-test-integration
scenario11/base-setup.sh
Shell
apache-2.0
4,966
#!/bin/bash # Author: yeho <lj2007331 AT gmail.com> # BLOG: https://blog.linuxeye.com # # Notes: OneinStack for CentOS/RadHat 5+ Debian 6+ and Ubuntu 12+ # # Project home page: # https://oneinstack.com # https://github.com/lj2007331/oneinstack Upgrade_Nginx() { pushd ${asn_dir}/src > /dev/null [ ! -e...
asntechsolution/lamp-lemp
include/upgrade_web.sh
Shell
apache-2.0
8,581
#!/usr/bin/env bash . include/common unitname="SIP INVITE via Carrier using Username/Password Auth" # settings username="smoketest" password="90dsip2432x" domain="sip.dsiprouter.org" host="localhost" port="5060" # Create a new user mysql kamailio -e "insert into subscriber values (null,'$username','$host','$passwor...
dOpensource/dsiprouter
testing/7.sh
Shell
apache-2.0
2,015
#!/bin/bash #/****************************************************************************** #* (C) Copyright 2019 AMIQ Consulting #* #* Licensed under the Apache License, Version 2.0 (the "License"); #* you may not use this file except in compliance with the License. #* You may obtain a copy of the License at #* #* ht...
amiq-consulting/amiq_blog
amiq_sv_python_non_blocking_socket_communication_in_systemverilog_using_dpi_c/arun.sh
Shell
apache-2.0
3,160
#!/bin/sh set -x jdk_url=http://download.oracle.com/otn-pub/java/jdk/8u73-b02 jdk_archive_name=server-jre-8u73-linux-x64.tar.gz jdk_destination=/usr/lib/jvm/oracle_jdk8 curl -v -j -k -L \ -H "Cookie: oraclelicense=accept-securebackup-cookie" \ $jdk_url/$jdk_archive_name > /tmp/build/$jdk_archive_name mkdir -p /u...
objectuser/basejava
getjdk.sh
Shell
apache-2.0
725
#!/bin/bash CURRDIR=$(dirname "${0}") source ${CURRDIR}/common.sh echo "Running tests..." TOXWORKDIR=${BUILDDIR}/${TOX} ${BUILDDIR}/${VENV}/${BIN}/tox${EXE} echo "Tests completed."
mesosphere/dcos-cli
bin/test.sh
Shell
apache-2.0
183
#!/bin/bash """ Created on January 8, 2018 @author:Isabel Restrepo Set up data for B.H-2006 """ #************ Extract frames from video ************ # cd /data # vlc --intf=rc --video-filter=scene --start-time=74 --stop-time=165 --scene-ratio=1 --scene-prefix=frame --scene-path=SciLi_2006/imgs vid15_brown_campus.m2...
mirestrepo/voxels-at-lems
data_setup/SciLi_2006.sh
Shell
bsd-2-clause
1,507
#!/bin/bash ./dune-common-2.3.1/bin/dunecontrol --opts=palma.opts --module=dune-burgers all # rebuild dune-burgers with --enable-shared touch dune-burgers/src/dune_burgers.cc ./dune-common-2.3.1/bin/dunecontrol --opts=dune-burgers-palma.opts --only=dune-burgers all
pymor/dune-burgers-demo
03_build_palma.sh
Shell
bsd-2-clause
270
g++ $@ -DNDEBUG -I /usr/local/include -I ../misc -I . -O3 -o xbt_tracker *.cpp ../misc/*.cpp ../misc/sql/*.cpp `mysql_config --libs` && strip xbt_tracker
Yale-LANS/ALTO
apps/filesharing/xbtt-old/Tracker/make.bsd.sh
Shell
bsd-3-clause
154
#!/bin/sh BUILDVERSION="0.1.`date +%s`" rm -rf target mkdir target zip -j target/IckStreamSqueezebox-$BUILDVERSION.zip daemon/ickSocketDaemon appletlocalplaylist/IckStreamApplet.lua appletlocalplaylist/IckStreamMeta.lua appletlocalplaylist/strings.txt appletlocalplaylist/LICENSE.txt sed "s/BUILDVERSION/$BUILDVERSION/" ...
ickStream/ickstream-squeezebox-player
build.sh
Shell
bsd-3-clause
381
#JSON="{\"service_name\":\"travis-ci\", \"service_job_id\":\"$TRAVIS_JOB_ID\", \"source_files\":[{\"coverage\":[null,0,1,2],\"name\":\"file1.rb\",\"source\":\"line1\nline2\nline3\nline4\"}, {\"coverage\":[null,0,1,2],\"name\":\"file1.hs\",\"source\":\"line1\nline2\nline3\nline4\"}, {\"coverage\":[null,0,1,2],\"name\":\...
guillaume-nargeot/hpc-coveralls-experiment
build.sh
Shell
bsd-3-clause
592
#!/usr/bin/env bash # Start all Tachyon workers. # Starts the master on this node. # Starts a worker on each node specified in conf/slaves Usage="Usage: start.sh [Mount|SudoMount|NoMount]" if [ "$#" -ne 1 ]; then echo $Usage exit 1 fi bin=`cd "$( dirname "$0" )"; pwd` # Load the Tachyon configuration . "$bin/t...
vax11780/tachyon
bin/start.sh
Shell
bsd-3-clause
517
#!/usr/bin/env bash if [ "$EUID" -ne 0 ]; then echo "Please run as root" exit elif [ -n "$1" ] && [ -n "$2" ]; then export AWS_SHARED_CREDENTIALS_FILE=$1 && rm -rf /etc/letsencrypt/live/$2* && cd /home/ubuntu/radiodns-plugit && certbot certonly -n --agree-tos --email poor@ebu.ch --dns-route53 --...
ebu/radiodns-plugit
scripts/renew_certificate.sh
Shell
bsd-3-clause
1,017
#!/bin/bash set -e -x mvn package read -d '' mvn_options << EOF || true install:install-file -DlocalRepositoryPath=../../analytics/repo -DcreateChecksum=true -Dpackaging=jar -DgroupId=org.ardverk -Dversion=0.7-SNAPSHOT EOF mvn ${mvn_options} -Dfile=target/patricia-trie-0.7-SNAPSHOT.jar -DartifactId=patricia-trie
TidyHuang/sdn_sensor
external/patricia-trie/setup-patricia-trie.bash
Shell
mit
318
#!/bin/bash USERNAME=$1 PASSWORD=$2 REPO_LIST=$3 TEAM_ID=$4 for repo_id in `cat $REPO_LIST`; do curl -i -u $USERNAME:$PASSWORD -X PUT -d "" https://api.github.com/teams/$TEAM_ID/repos/$repo_id done
endlessm/gh_fetch
extra/add_repos_to_team.sh
Shell
mit
206
#!/bin/sh # # Copyright (c) 2015 Jesco Freund # # Permission is hereby granted, free of charge, to any person obtaining a copy # of this software and associated documentation files (the "Software"), to deal # in the Software without restriction, including without limitation the rights # to use, copy, modify, merge, pub...
RootForum/zebra
src/share/zebra/include/normal/aux.sh
Shell
mit
1,488
_custom_git_ps1() { local none='\[\033[00m\]' local g='\[\033[0;32m\]' local c='\[\033[0;36m\]' local emy='\[\033[1;33m\]' local br='\[\033[1;41m\]' local uc=$none local p='$' if [ $UID -eq "0" ] ; then uc=$CBR p='#' fi local u="${uc}${debian_chroot:+($debian_chr...
iamfat/dockerfiles
qf-dev/git_prompt.sh
Shell
mit
477
#!/bin/bash docker build -t fhem_jessie .
pipp37/fhem_jessie
build.sh
Shell
mit
43
#!/bin/bash if [ -e zImage ]; then rm zImage fi rm compile.log # Set Default Path TOP_DIR=$PWD KERNEL_PATH=`readlink -f .` PARENT_DIR=`readlink -f ..` # Set toolchain and root filesystem path #TOOLCHAIN="/home/simone/arm-2009q3/bin/arm-none-linux-gnueabi-" TOOLCHAIN=$PARENT_DIR/linaro4.5/bin/arm-eabi- #TOOLCHAIN="...
ngochai/s2kernel
build_sammy_i777_noms.sh
Shell
gpl-2.0
1,894
#!/bin/bash # TODO: No simple way to install python files without including the source # files. Not worth it. set -e PKG_PATH=`pwd`/moose-3.0.2-Linux-amd64.deb if [ ! -f $PKG_PATH ]; then echo "Building package" ( cd .. mkdir -p _build cd _build cmake -DCMAKE_INSTALL_PREFIX=_ins...
dilawar/moose-full
packaging_scripts/packages_local_using_cmake.sh
Shell
gpl-2.0
696
#!/bin/bash set -e -o pipefail set -x steps/score_kaldi.sh "$@" steps/scoring/score_kaldi_cer.sh --stage 2 "$@" echo "$0: Done"
michellemorales/OpenMM
kaldi/egs/hkust/s5/local/score.sh
Shell
gpl-2.0
130
#!/bin/sh drive_dir=/tmp/drive USB_MAP_TABLE=/tmp/plexmediaserver/.usb_map_table newpath="" login() { #create folders to save http responses [ ! -d "$dirve_dir" ] && mkdir -p $drive_dir netdrive --login [ "x$(config get amazon_login_status)" != "x200" ] && exit 0 netdrive --endpoint && netdrive --rootid & }...
SVoxel/R9000
package/netdrive/src/netdrive.sh
Shell
gpl-2.0
16,499
#!/bin/bash # Wrapper script around calibrator or oprofile, used to calculate the number # of cycles it takes to handle a tlb miss. calibrator will need to be # downloaded seperately to be used here, otherwise oprofile will be used. # oprofile does not generate accurate results on x86 or x86_64. # # Both methods were ...
rodrigc/kernel-tests
default/libhugetlbfs/libhugetlbfs/contrib/tlbmiss_cost.sh
Shell
gpl-2.0
24,976
#!/bin/bash domaingroup="domain users" localgroups="pulse pulse-access" baseusers="bglug" domainusers="$(getent group "${domaingroup}" | awk 'BEGIN { FS = ":" } ; { print $4 }' | sed -e 's/,/ /g')" users="${baseusers} ${domainusers}" for group in ${localgroups}; do actualusers=$(getent group '${group}' | awk 'BEG...
bglug-it/server-config
roles/preseed/templates/preseed/pulseaudio-perms.sh
Shell
gpl-3.0
777
#!/bin/sh -e fail() { echo "Error: $1" exit 1 } notExists() { [ ! -f "$1" ] } abspath() { if [ -d "$1" ]; then (cd "$1"; pwd) elif [ -f "$1" ]; then if [ -z "${1##*/*}" ]; then echo "$(cd "${1%/*}"; pwd)/${1##*/}" else echo "$(pwd)/$1" fi el...
soedinglab/mmseqs2
data/workflow/cascaded_clustering.sh
Shell
gpl-3.0
13,093
#!/bin/bash dnf -y install java-1.8.0-openjdk java-1.8.0-openjdk-devel PACKAGE="standard" CACHEDIR="/var/cache/fedy/eclipse-$PACKAGE" INSTALLDIR="/opt/eclipse-$PACKAGE" mkdir -p "$CACHEDIR" cd "$CACHEDIR" BASEURL="http://mirror.cc.vt.edu/pub/eclipse/technology/epp/downloads/release" PRESENTRELEASE=$(wget $BASEURL/...
satya164/fedy
plugins/eclipsestandard.plugin/install.sh
Shell
gpl-3.0
1,388
#!/bin/sh echo "#!/bin/sh cd \"C:\Program Files (x86)\Unigine\Valley Benchmark 1.0\bin\" ./Valley.exe -data_path ../ -sound_app null -engine_config ../data/valley_1.0.cfg -system_script valley/unigine.cpp -video_mode -1 -extern_define PHORONIX,RELEASE \$@ > \$LOG_FILE" > unigine-valley # This assumes you will install...
phoronix-test-suite/phoronix-test-suite
ob-cache/test-profiles/pts/unigine-valley-1.1.8/install_windows.sh
Shell
gpl-3.0
414
#!/usr/bin/env bash # Ensure that persistent databases are correctly recovered by database # sequence number # # 1. Create and wipe a persistent test database # 2. Directly add a single record to the database on each node # 3. Trigger a recover # 4. Ensure that the database contains only a single record # # Repeat but...
kernevil/samba
ctdb/tests/INTEGRATION/database/recovery.010.persistent.sh
Shell
gpl-3.0
2,478
#!/bin/sh set -e BGS="lightgrey white black transparent" echo "Generating sheets .." TILE=15 for f in $(cd build; ls -d1 png-*); do for res in $(cd build/$f; ls -d1 res-*); do echo " processing build/$f/$res"; OUTPD="build/$f/sheets"; FLAGS="build/$f/$res/??.png"; RES=`echo $res | sed s/^res-//g` RESX=`...
nicholasryan/CorePlus
src/core/dev/iso-country-flags-svg-collection/scripts/sheets.sh
Shell
agpl-3.0
1,148
#!/bin/sh php -f ./cli/prepare.php >/dev/null find /etc/php*/ -type f -name php.ini -exec sed -r -i "\\#^;?date.timezone#s#^.*#date.timezone = $TZ#" {} \; find /etc/php*/ -type f -name php.ini -exec sed -r -i "\\#^;?post_max_size#s#^.*#post_max_size = 32M#" {} \; find /etc/php*/ -type f -name php.ini -exec sed -r -i ...
Alkarex/FreshRSS
Docker/entrypoint.sh
Shell
agpl-3.0
2,396
#|/bin/shell lessc style.less ../css/style.css
zauddelig/zauddelig.github.io
static/less/exe.sh
Shell
agpl-3.0
46
#!/bin/sh test_begin "mp4box-lang" if [ $test_skip = 1 ] ; then return fi $MP4BOX -add $MEDIA_DIR/auxiliary_files/subtitle.srt:dur=1 -add $MEDIA_DIR/auxiliary_files/enst_audio.aac:dur=1 -new $TEMP_DIR/file.mp4 2> /dev/null do_test "$MP4BOX -lang all=en $TEMP_DIR/file.mp4 -out $TEMP_DIR/out.mp4" "all-2-char" do_...
emmanouil/gpac
tests/scripts/mp4box-lang.sh
Shell
lgpl-2.1
3,579
#!/bin/bash # Script to reproject a list of Rosetta OSIRIS images into the perspective of a given image. # The ISISROOT variable must be set. This uses the USGS Nebula cluster # for parallel processing # # Parameters: # # (Required) l - The list of image basenames to reproject. Each image should be on its own line wi...
USGS-Astrogeology/ISIS3_scripts
rosetta_scripts/ros_osiris_reproject_parallel.sh
Shell
unlicense
4,045
./gradlew build jacocoTestReport assembleAndroidTest adb shell setprop dalvik.vm.dexopt-flags v=n,o=v ./gradlew connectedCheck
phimpme/android-prototype
build.sh
Shell
apache-2.0
126
#!/bin/sh # -*- coding: UTF-8 -*- # # Copyright 2014 Measurement Lab # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by ...
m-lab/telescope
dev/pre-commit.sh
Shell
apache-2.0
792
#!/bin/bash # # Copyright 2013 CSIR Meraka HLT and Multilingual Speech Technologies (MuST) North-West University # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.a...
Mphaya/heasy
heasy/src/create_folders.sh
Shell
apache-2.0
1,674
#!/bin/sh # Author: SwiftOPs # Date : 2012-10-23 # # Info: Script to pull swift ring down to a system # host=$1 acctmd5=$(w3m -dump http://$host/ring/ring.md5sum | grep account | awk '{print $1}') contmd5=$(w3m -dump http://$host/ring/ring.md5sum | grep container | awk '{print $1}') objmd5=$(w3m -dump http://$host/...
btorch/swift-setup
templates/common/usr/local/bin/retrievering.sh
Shell
apache-2.0
1,672
#!/bin/bash set -o errexit set -o nounset if [[ "$EUID" -ne "0" ]]; then echo "ERROR: Must be run as root." >&2 exit 1 fi apt-get update apt-get upgrade apt-get dist-upgrade apt-get install update-manager-core do-release-upgrade
openzfs/openzfs-ci
scripts/ubuntu/upgrade.sh
Shell
apache-2.0
236
# Licensed to the Apache Software Foundation (ASF) under one or more # contributor license agreements. See the NOTICE file distributed with # this work for additional information regarding copyright ownership. # The ASF licenses this file to You under the Apache License, Version 2.0 # (the "License"); you may not use ...
vergilchiu/hive
bin/ext/hbaseimport.sh
Shell
apache-2.0
1,039
#!/bin/bash if [ -z $1 ] then echo "This script expects an input file as first argument" fi # We first strip out all punctuation to make things easier # Then some sed magic to get the words into tokens [Source link:] # (http://stackoverflow.com/questions/10552803/how-to-create-a-frequency-list-of-every-word-in-a...
swift-lang/swift-k
tests/scs/wordcount/wordcount.sh
Shell
apache-2.0
483
#!/bin/bash # Copyright 2019 The Vitess Authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or a...
tinyspeck/vitess
examples/local/401_teardown.sh
Shell
apache-2.0
1,817
#!/bin/bash # Licensed to the Apache Software Foundation (ASF) under one or more # contributor license agreements. See the NOTICE file distributed with # this work for additional information regarding copyright ownership. # The ASF licenses this file to You under the Apache License, Version 2.0 # (the "License"); you ...
gzsombor/ranger
ugsync/filesourceusersynctool/run-filesource-usersync.sh
Shell
apache-2.0
2,103
#!/bin/bash # # Build librdkafka on a bare-bone Debian host, such as the microsoft/dotnet:2-sdk # Docker image. # # Statically linked # WITH openssl 1.0, zlib # WITHOUT libsasl2, lz4(ext, using builtin instead) # # Usage (from top-level librdkafka dir): # docker run -it -v $PWD:/v microsoft/dotnet:2-sdk /v/packaging/...
LiberatorUSA/GUCEF
dependencies/librdkafka/packaging/tools/build-debian.sh
Shell
apache-2.0
1,204
#!/bin/bash # This library holds functions that are used to clean up local # system state after other scripts have run. # os::cleanup::dump_etcd dumps the full contents of etcd to a file. # # Globals: # ARTIFACT_DIR # Arguments: # None # Returns: # None function os::cleanup::dump_etcd() { os::log::info "Dumping e...
marun/origin
hack/lib/cleanup.sh
Shell
apache-2.0
2,762
#!/bin/bash START_WITH=$1 (cd experiments; git pull) for branch in raft-45 raft-46 raft-56 raft-58-initialization raft-58 raft-42 raft-66; do if [ "$START_WITH" != "" -a "$START_WITH" != $branch ]; then continue fi if [ "$START_WITH" != "" -a "$START_WITH" == $branch ]; then START_WITH="" fi echo ...
NetSys/demi
tools/rerun_experiments.sh
Shell
bsd-2-clause
551
#!/bin/sh DNLOAD="../dnload/dnload.py" if test ! -f "${DNLOAD}" ; then DNLOAD="/usr/local/src/dnload/dnload.py" if test ! -f "${DNLOAD}" ; then DNLOAD="/usr/local/src/faemiyah-demoscene/dnload/dnload.py" if test ! -f "${DNLOAD}" ; then echo "${0}: could not find dnload.py" exit 1 fi fi fi...
trilkk/faemiyah-demoscene_2015-04_64k-intro_junamatkailuintro
compile.sh
Shell
bsd-3-clause
622
FLOW=$1 $FLOW type-at-pos test.js 5 1 --strip-root --json $FLOW type-at-pos test.js 5 1 --strip-root --raw $FLOW type-at-pos test.js 8 7 --strip-root --json $FLOW type-at-pos test.js 10 7 --strip-root --json $FLOW type-at-pos test.js 12 7 --strip-root --json $FLOW type-at-pos test.js 14 7 --strip-root --json $FLOW typ...
shiftcars/flow
tests/type-at-pos/test.sh
Shell
bsd-3-clause
971
#!/bin/sh set -e UNSIGNED=$1 SIGNATURE=$2 ARCH=x86_64 ROOTDIR=dist BUNDLE=${ROOTDIR}/MonetaryUnit-Qt.app TEMPDIR=signed.temp OUTDIR=signed-app if [ -z "$UNSIGNED" ]; then echo "usage: $0 <unsigned app> <signature>" exit 1 fi if [ -z "$SIGNATURE" ]; then echo "usage: $0 <unsigned app> <signature>" exit 1 fi ...
upgradeadvice/MUE-Src
contrib/macdeploy/detached-sig-apply.sh
Shell
mit
1,234
#!/bin/sh # example client down script # will be executed when client is down # all key value pairs in ShadowVPN config file will be passed to this script # as environment variables, except password # uncomment if you want to turn off IP forwarding # sysctl -w net.ipv4.ip_forward=0 # get old gateway echo reading ol...
noikiy/ShadowVPN
samples/client_down.sh
Shell
mit
1,012
#!/bin/sh # Copyright Abandoned 1996 TCX DataKonsult AB & Monty Program KB & Detron HB # This file is public domain and comes with NO WARRANTY of any kind # # Script to start the MySQL daemon and restart it if it dies unexpectedly # # This should be executed in the MySQL base directory if you are using a # binary insta...
ChengXiaoZ/MariaDBserver
scripts/mysqld_safe.sh
Shell
gpl-2.0
27,484
#!/bin/sh # Copyright (C) 2012 Red Hat, Inc. All rights reserved. # # This copyrighted material is made available to anyone wishing to use, # modify, copy, or redistribute it subject to the terms and conditions # of the GNU General Public License v.2. # # You should have received a copy of the GNU General Public Licen...
StarchLinux/lvm2
test/shell/lvconvert-thin.sh
Shell
gpl-2.0
3,394
#!/bin/sh ex=ex10 dir=`basename \`pwd\`` keys=Aaamc if [ "$dir" = "vis" ]; then dir=. mesh=$ex.mesh sol=$ex.sol else dir=vis mesh=vis/$ex.mesh sol=vis/$ex.sol fi if [ ! -e $mesh.000000 ] then echo "Can't find visualization data for $ex!" exit fi np=`cat $dir/$ex.data | head -n 1 | awk '{ pri...
jbakosi/HYPRE
src/examples/vis/glvis-ex10.sh
Shell
lgpl-2.1
372
#!/bin/bash # Removes the script name from the list of the args #shift # call each hook with all the args passed for i in /etc/dhcp-hooks.d/* do $i $@ >> /tmp/autowhitelist.log done exit 0;
sebastiendarocha/wifirover
common/sbin/dhcp-hooks.sh
Shell
lgpl-2.1
195
#!/bin/sh set -eu for BACKEND in importer tidb local; do if [ "$BACKEND" = 'local' ]; then check_cluster_version 4 0 0 'local backend' || continue fi run_sql 'DROP DATABASE IF EXISTS csv' run_lightning --backend $BACKEND run_sql 'SELECT count(*), sum(PROCESSLIST_TIME), sum(THREAD_OS_ID), count(PROCES...
coocood/tidb
br/tests/lightning_csv/run.sh
Shell
apache-2.0
1,310
#!/bin/bash # # Copyright 2012-2014 Comcast Cable Communications Management, LLC # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless ...
weggert/sirius
src/main/bin/sirius-interactive.sh
Shell
apache-2.0
1,254
#!/bin/bash # # Copyright 2011 The Open Source Research Group, # University of Erlangen-Nürnberg # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/l...
pumpadump/sweble-wikitext
swc-parser-lazy/edit-grammar.sh
Shell
apache-2.0
1,049
# # ---------------------------------------------------- # Parsing of manifests for the Accords Provisioning # ---------------------------------------------------- # co-parser accords-osprocci co-parser accords-onprocci co-parser accords-paprocci co-parser accords-paasprocci co-parser accords-provisioning co-parser sl...
ow2-mirrors/compatibleone
manifests/accords-provisioning.sh
Shell
apache-2.0
548
#!/bin/bash ########################################################################################### ## Copyright 2003, 2015 IBM Corp ## ## ## ## Redistribution and use in s...
PoornimaNayak/autotest-client-tests
linux-tools/openhpi/openhpi-commands_test.sh
Shell
gpl-2.0
5,790
#!/bin/bash testdir=`pwd` #checks if ROOT valid if [ -z "${ROOT}" ]; then export ROOT=../../ ; fi # sets source directory cd $ROOT/ srcdir=`pwd` cd $testdir/ # title echo >> $testdir/results.log echo "compile default make" >> $testdir/results.log echo >> $testdir/results.log echo "directory: `pwd`" >> $testdir/res...
QuLogic/specfem3d
tests/auxiliaries/0.compile.default_make.sh
Shell
gpl-2.0
1,411
#!/bin/sh # # Copyright (c) 2001, 2003, 2012 Tama Communications Corporation # # This file is part of GNU GLOBAL. # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the Licens...
ponkore/gnu-global-mod
reconf.sh
Shell
gpl-3.0
3,491
#!/bin/bash # Copyright 2014 Yajie Miao Carnegie Mellon University Apache 2.0 # This is the script that trains DNN system over the filterbank features. It # is to be run after run.sh. Before running this, you should already build # the initial GMM model. This script requires a GPU card, and also the "pdnn...
weiwchu/kaldipdnn
run_timit/run-dnn-fbank.sh
Shell
apache-2.0
7,216
#!/bin/sh -x apt-get -y install --no-install-recommends libyaml-0-2 RUBY_VERSION=1.9.3-p392 cd /tmp wget http://ftp.ruby-lang.org/pub/ruby/1.9/ruby-$RUBY_VERSION.tar.gz tar xvzf ruby-$RUBY_VERSION.tar.gz cd ruby-$RUBY_VERSION ./configure --prefix=/opt/ruby make make install cd .. rm -rf ruby-$RUBY_VERSION rm ruby-$RU...
danieldreier/packer-templates
ubuntu-14.04-server-amd64/scripts/ruby.sh
Shell
apache-2.0
678
#!/bin/bash -eu # Copyright 2019 Google Inc. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agree...
googlefonts/oss-fuzz
projects/jansson/build.sh
Shell
apache-2.0
744
#!/bin/bash install_dir=$1 artifact_id=${install_dir//\/app\//} out=`cat /log/logmon/oo-*$artifact_id.log | awk '{ printf "%s ", $0 }'` ec=$? echo "ok | $out" exit $ec
lkhusid/oneops
oneops-admin/lib/shared/cookbooks/monitor/files/default/check_logmon_artifact.sh
Shell
apache-2.0
169
export FFEAD_CPP_PATH=${IROOT}/ffead-cpp-6.0-sql export LD_LIBRARY_PATH=${IROOT}/:${IROOT}/lib:${FFEAD_CPP_PATH}/lib:/usr/local/lib:$LD_LIBRARY_PATH sed -i 's|tfb-database|localhost|g' ${FFEAD_CPP_PATH}/web/t3/config/sdorm.xml sed -i 's|"TeBkUmLpqRouter"|"TeBkUmLpqRouterPicoV"|g' ${FFEAD_CPP_PATH}/web/t3/config/applic...
jamming/FrameworkBenchmarks
frameworks/C++/ffead-cpp/sql-v-picov-profiled-install.sh
Shell
bsd-3-clause
1,265
#!/bin/bash ./autogen.sh $1 cd build make cd ../lib/ make cd libfspot sudo make install cd ../..
dkoeb/f-spot
prep_linux_build.sh
Shell
mit
98
#!/bin/sh test -f /.kconfig && . /.kconfig test -f /.profile && . /.profile echo "Configure image: [$kiwi_iname]..." #========================================== # setup build day #------------------------------------------ baseSetupBuildDay #========================================== # remove unneded kernel files #-...
rjschwei/kiwi
system/boot/ix86/netboot/rhel-07.0/images.sh
Shell
gpl-2.0
642
#! /bin/sh # Copyright (C) 2001-2015 Free Software Foundation, Inc. # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 2, or (at your option) # any later version. # # This program ...
hika-server/automake
t/stamph2.sh
Shell
gpl-2.0
1,710
#!/bin/bash # aTunes # Copyright (C) 2006-2007 Alex Aranda (fleax) # # This program is free software; you can redistribute it and/or # modify it under the terms of the GNU General Public License # as published by the Free Software Foundation; either version 2 # of the License, or (at your option) any later version. # ...
hmuhsen/aTunes
aTunes.sh
Shell
gpl-2.0
894
#!/bin/bash set -ex arachne_pnr=../../bin/arachne-pnr valgrind $arachne_pnr sb_up3down5.blif -o sb_up3down5_valgrind.txt icepack sb_up3down5_valgrind.txt sb_up3down5_valgrind.bin
zeldin/arachne-pnr
tests/simple/run-valgrind-test.sh
Shell
gpl-2.0
182
#!/bin/bash pkexec --user root /usr/bin/pk-example-frobnicate
rbazaud/lxqt-policykit
test/test_agent.sh
Shell
lgpl-2.1
64
#!/bin/sh [ -d ./tmp ] && rm -rf ./tmp DEVKIT_ROOT=/opt/STM/STLinux-2.3/devkit/sh4 CROSS=${DEVKIT_ROOT}/bin/sh4-linux- export CFLAGS+="-I${DEVKIT_ROOT}/target/usr/include \ -I${DEVKIT_ROOT}/target/usr/include/libxml2 \ -I${DEVKIT_ROOT}/target/usr/include/python2.6" export CC=${CROSS}gcc export STRIP=${CROSS}strip ...
tension9000/e2openplugin-CrossEPG
make_e2_sh4_generic.sh
Shell
lgpl-2.1
941
#!/bin/bash # gromacs > 2021 requires a non default OSX version if [ "$(uname)" = 'Darwin' ] ; then export MACOSX_DEPLOYMENT_TARGET=10.13 fi mkdir build cd build ## See INSTALL of gromacs distro for ARCH in SSE2 AVX_256 AVX2_256; do cmake_args=( -DSHARED_LIBS_DEFAULT=ON -DBUILD_SHARED_LIBS=ON -DG...
phac-nml/bioconda-recipes
recipes/gromacs/2021/build.sh
Shell
mit
4,547
: ==== start ==== TESTNAME=interop-ikev2-racoon-02-psk-responder #source /testing/pluto/bin/eastlocal.sh mkdir /tmp/racoon2 /var/run/racoon2 chmod 700 /var/run/racoon2 cp -r /testing/pluto/$TESTNAME/east-racoon/* /tmp/racoon2/ chmod 700 /tmp/racoon2/psk/test.psk /tmp/racoon2/spmd.pwd chmod 600 /tmp/racoon2/spmd.pwd ...
y-trudeau/openswan-patch-meraki
testing/pluto/interop-ikev2-racoon-02-psk-responder/eastinit.sh
Shell
gpl-2.0
421
#!/bin/bash # Licensed to the Apache Software Foundation (ASF) under one or more # contributor license agreements. See the NOTICE file distributed with # this work for additional information regarding copyright ownership. # The ASF licenses this file to You under the Apache License, Version 2.0 # (the "License"); you ...
Acidburn0zzz/HiBench
bin/functions/workload-functions.sh
Shell
apache-2.0
15,648
#!/bin/bash # Copyright 2017 The Kubernetes Authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law ...
kubeup/kube-aliyun
vendor/k8s.io/kubernetes/hack/update-all-staging.sh
Shell
apache-2.0
2,011
#!/bin/bash FN="AHMeSHDbs_1.2.0.tar.gz" URLS=( "https://bioconductor.org/packages/3.14/data/annotation/src/contrib/AHMeSHDbs_1.2.0.tar.gz" "https://bioarchive.galaxyproject.org/AHMeSHDbs_1.2.0.tar.gz" "https://depot.galaxyproject.org/software/bioconductor-ahmeshdbs/bioconductor-ahmeshdbs_1.2.0_src_all.tar.gz" ) M...
cokelaer/bioconda-recipes
recipes/bioconductor-ahmeshdbs/post-link.sh
Shell
mit
1,293
#!/usr/bin/env bash # # Licensed to the Apache Software Foundation (ASF) under one or more # contributor license agreements. See the NOTICE file distributed with # this work for additional information regarding copyright ownership. # The ASF licenses this file to You under the Apache License, Version 2.0 # (the "Lice...
chavdar/gobblin-1
bin/gobblin-yarn.sh
Shell
apache-2.0
2,971
#!/bin/sh . "${TEST_SCRIPTS_DIR}/unit.sh" define_test "3 nodes, 2->3 unhealthy, all IPs assigned, NoIPTakeover" export CTDB_TEST_LOGLEVEL=ERR # We expect the IPs stay where they are (as opposed to # NoIPHostOnAllDisabled). IPs are hosted when all nodes are disabled, # but they have nowhere else to go because of No...
SVoxel/R7800
git_home/samba.git/ctdb/tests/takeover/lcp2.022.sh
Shell
gpl-2.0
725
#!/usr/bin/env bash # Licensed to the Apache Software Foundation (ASF) under one # or more contributor license agreements. See the NOTICE file # distributed with this work for additional information # regarding copyright ownership. The ASF licenses this file # to you under the Apache License, Version 2.0 (the # "Lice...
nathanielvarona/airflow
scripts/ci/pre_commit/pre_commit_breeze_cmd_line.sh
Shell
apache-2.0
2,653
#!/bin/sh # ver_matching_test.sh -- a test case for version script matching # Copyright (C) 2008-2017 Free Software Foundation, Inc. # Written by Ian Lance Taylor <iant@google.com>. # This file is part of gold. # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU Ge...
mickael-guene/binutils
gold/testsuite/ver_matching_test.sh
Shell
gpl-2.0
2,939
#!/usr/bin/env bash # Copyright 2017 The TensorFlow Authors. All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless...
ychfan/tensorflow
tensorflow/tools/ci_build/pi/build_raspberry_pi.sh
Shell
apache-2.0
5,320
#!/bin/bash function usage() { echo "Usage: $0 test|reformat" } if [ $# -eq 0 ] then usage exit 0 fi if [ -z "$CLANG_FORMAT" ] then CLANG_FORMAT=clang-format echo "No CLANG_FORMAT set. Using $CLANG_FORMAT" fi if ! type "$CLANG_FORMAT" &> /dev/null then echo "The command \"$CLANG_FORMAT\" was...
k-takata/the_silver_searcher
format.sh
Shell
apache-2.0
1,291
#!/bin/bash fw_depends postgresql source run-linux.sh 'MvcDbSingleQueryRaw,MvcDbMultiQueryRaw,MvcDbMultiUpdateRaw,MvcDbFortunesRaw' $(($(nproc)/2))
mfirry/FrameworkBenchmarks
frameworks/CSharp/aspnetcore/setup-mvc-raw.sh
Shell
bsd-3-clause
150
#!/bin/sh test_description='pull options' . ./test-lib.sh test_expect_success 'setup' ' mkdir parent && (cd parent && git init && echo one >file && git add file && git commit -m one) ' test_expect_success 'git pull -q' ' mkdir clonedq && (cd clonedq && git init && git pull -q "../parent" >out 2>err && tes...
Devindik/origin
t/t5521-pull-options.sh
Shell
gpl-2.0
2,421
#!/bin/bash fw_depends mongodb export UNDERTOW_ARGS="MONGODB_ASYNC" source ./setup.sh
saturday06/FrameworkBenchmarks
frameworks/Java/undertow/setup_mongodb_async.sh
Shell
bsd-3-clause
89